Bug 440254

Summary: nfs uid/gid mapping via all_squash,anonuid,anongid is not working
Product: [Fedora] Fedora Reporter: Randy Yates <yates>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:45:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Randy Yates 2008-04-02 10:38:49 EDT
Description of problem:

Using the /etc/exports file on the nfs server (192.168.1.101), i'm
attempting to export /exportedpath, which on the server has a uid/gid
of 501, as a uid/gid of 500 via the following line:

/exportedpath 192.168.1.100(ro,all_squash,anonuid=500,anongid=500)

However, nfs mounting that path on the client via the following line
in /etc/fstab:

192.168.1.101:/exportedpath /impotedpath nfs ro,hard,intr 0 0

still mounts the imported path using a uid/gid of 501. 

How reproducible:

Every time.

Additional info:

Client uname -a:

Linux localhost.localdomain 2.6.24.3-50.fc8 #1 SMP Thu Mar 20 13:39:08 EDT 2008
x86_64 x86_64 x86_64 GNU/Linux

Server uname -a:

Linux localhost.localdomain 2.6.24.3-50.fc8 #1 SMP Thu Mar 20 13:39:08 EDT 2008
x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Steve Dickson 2008-04-04 11:15:46 EDT
The anonuid=500,anongid=500 setting seem to be working for me.

Here is what I'm doing:

server# echo "/home *(rw,fsid=1,nohide,all_squash)" > /etc/exports
server# exportfs -arv
exporting *:/home

client#  mount server:/home /mnt/server/home
client# ls -lian /mnt/server/home/tmp/bb
2752544 -rw-r--r-- 1 65534 65534 0 2008-04-04 10:58 /mnt/server/home/tmp/bb
client# rm /mnt/server/home/tmp/bb
client# umount /mnt/server/home

server# echo "/home *(rw,fsid=1,nohide,all_squash,anonuid=500,anongid=500)" >
/etc/exports
server# exportfs -arv
exporting *:/home

client# mount server:/home /mnt/server/home
client# touch /mnt/server/home/tmp/bb
client# ls -lian /mnt/server/home/tmp/bb
2752544 -rw-r--r-- 1 500 500 0 2008-04-04 11:02 /mnt/server/home/tmp/bb

Comment 2 Steve Dickson 2008-05-24 08:50:36 EDT
Are you still seen this problem?
Comment 3 Randy Yates 2008-05-24 10:29:48 EDT
Yes, using

/home/freedarandy 192.168.1.100(rw,fsid=1,nohide,all_squash,anonuid=500,anongid=500)

in the server:/etc/exports (i used your options since they were different than
mine). on the client, as root, i enter "mount server:/home/freedarandy
/home/freedarandy" followed by "touch /home/freedarandy". Then (as yates) ls
-liam /home/freedarandy gives

15040669 drwx------ 55 501 501 4096 2008-05-23 23:33 freedarandy

Note the uid/gid is still 501 and not 500.

Steve, if you'd like, call me 919-577-9882 (I'm in Fuquay) to discuss it. 
Comment 4 Randy Yates 2008-05-24 10:32:46 EDT
PS: Steve, why are you looking at the tmp/bb subdirectory of /mnt/server/home?

Also, note that I'm not using a mount point in /mnt but rather in /home. I
wouldn't think that would matter.
Comment 5 Bug Zapper 2008-11-26 05:21:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:45:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.